Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Interface ExecModel

All Known Implementing Classes:
  ExecTool, WorkDirChooseTool.ExecModelStub

    public interface ExecModel

Method Summary
`void` | `configure()` Causes a series of actions to be performed to complete configuration.
`TestResultTable` | `getActiveTestResultTable()` Get the test result table currently in use for display.
`ContextManager` | `getContextManager()`
`ExecToolManager` | `getExecToolManager()`
`FilterConfig` | `getFilterConfig()`
`InterviewParameters` | `getInterviewParameters()`
`TestSuite` | `getTestSuite()`
`WorkDirectory` | `getWorkDirectory()`
`boolean` | `isConfiguring()` Returns true if the model is in the configuration stage, user is either selecting work directory or editing configuration.
`void` | `print(java.awt.print.Printable p)`
`void` | `printSetup()`
`void` | `runTests(java.lang.String[] urls)` Run specified tests.
`void` | `setWorkDir(WorkDirectory wd, boolean addToFileHistory)`
`void` | `showConfigEditor(boolean runTestsWhenDone)` Show the configuration editor for this tool, and optionally run the tests defined by the configuration when the editor is closed.
`void` | `showMessage(java.util.ResourceBundle msgs, java.lang.String key)`
`void` | `showTemplateEditor()` Show the configuration editor for this tool with current template
`void` | `showWorkDirDialog(boolean allowTemplates)`

Method Detail

### getTestSuite

    TestSuite getTestSuite()

### getWorkDirectory

    WorkDirectory getWorkDirectory()

### getInterviewParameters

    InterviewParameters getInterviewParameters()

### getFilterConfig

    FilterConfig getFilterConfig()

### getContextManager

    ContextManager getContextManager()

### getActiveTestResultTable

    TestResultTable getActiveTestResultTable()

  Get the test result table currently in use for display. This value provides a temporary answer if the work directory does not exist yet. If a work directory is available, the query is forwarded to that object.

  Returns:
    the test result table currently in use for display.

### showWorkDirDialog

    void showWorkDirDialog(boolean allowTemplates)

### showConfigEditor

    void showConfigEditor(boolean runTestsWhenDone)

  Show the configuration editor for this tool, and optionally run the tests defined by the configuration when the editor is closed.

  Parameters:
    `runTestsWhenDone` - true if the tests should automatically be run when the user closes the configuration editor, and false otherwise.

### showTemplateEditor

    void showTemplateEditor()

  Show the configuration editor for this tool with current template

### configure

    void configure()

  Causes a series of actions to be performed to complete configuration.

### isConfiguring

    boolean isConfiguring()

  Returns true if the model is in the configuration stage, user is either selecting work directory or editing configuration. One can relay on this method to disable/enable some actions.

### runTests

    void runTests(java.lang.String[] urls)

  Run specified tests.

  Parameters:
    `urls` - These names may either be paths to folders or test names. Empty string value in the array indicates that the whole test suite should be run.

### showMessage

    void showMessage(java.util.ResourceBundle msgs,
                     java.lang.String key)

### printSetup

    void printSetup()

### print

    void print(java.awt.print.Printable p)

### setWorkDir

    void setWorkDir(WorkDirectory wd,
                    boolean addToFileHistory)
                    throws Interview.Fault,
                           TestSuite.Fault

  Throws:
    `Interview.Fault`
    `TestSuite.Fault`

### getExecToolManager

    ExecToolManager getExecToolManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.